analyzers:
  nogo:
    type: diagnostic_aggregator/GenericAnalyzer
    path: NoGo
    expected:
      - "ai_monitor_pose_validator: pose_validator_diagnostic"
      - "ai_monitor_pose_validator: pose_validator_zci"
      - "ai_robot_monitor: fault_handler_diagnostic"
      - "ai_robot_monitor: fault_handler_zci"
      - "ai_robot_monitor: heartbeat_diagnostic"
      - "ai_robot_monitor: heartbeat_zci"
      - "ai_robot_monitor: robot_monitor_master_zci"
      - "ai_robot_monitor: ros_diagnostic_handler_diagnostic"
      - "ai_robot_monitor: ros_diagnostic_handler_zci"
      - "ai_trajectory_manager: cas_prediction_server_zci"
      - "ai_trajectory_manager: cas_filter_zci"
      - "ai_trajectory_manager: trajectory_manager_zci"
      - "ai_trajectory_manager: cas_prediction_server_diagnostic"
      - "ai_trajectory_manager: cas_filter_diagnostic"
      - "ai_trajectory_manager: trajectory_manager_diagnostic"
      - "nogo_supervisor: ai_monitor_pose_validator Orchestration"
      - "nogo_supervisor: ai_robot_monitor Orchestration"
      - "nogo_supervisor: ai_trajectory_manager Orchestration"
      - "nogo_supervisor: safety_perception_online_node Orchestration"
      - "nogo_supervisor: Nogo ROS Diagnostic Aggregator Orchestration"
      - "nogo_supervisor: supervisor_zci"
      - "nogo_supervisor: supervisor_diagnostic"
      - "safety_perception_online_node: lidar_gateway0_zci"
      - "safety_perception_online_node: safety_perception_zci"
      - "safety_perception_online_node: safety_perception_diagnostic"
    remove_prefix:
      - "ai_monitor_pose_validator"
      - "ai_robot_monitor"
      - "ai_trajectory_manager"
      - "nogo_supervisor"
      - "safety_perception_online_node"
